## Uses of Class
org.apache.cassandra.exceptions.RequestFailureException

Packages that use RequestFailureException
org.apache.cassandra.exceptions
org.apache.cassandra.service
org.apache.cassandra.thrift

### Uses of RequestFailureException in org.apache.cassandra.exceptions

Subclasses of RequestFailureException in org.apache.cassandra.exceptions
`class` `ReadFailureException`
`class` `WriteFailureException`

### Uses of RequestFailureException in org.apache.cassandra.service

Methods in org.apache.cassandra.service that throw RequestFailureException
`static RowIterator` StorageProxy.`cas(java.lang.String keyspaceName, java.lang.String cfName, DecoratedKey key, CASRequest request, ConsistencyLevel consistencyForPaxos, ConsistencyLevel consistencyForCommit, ClientState state, long queryStartNanoTime)` Apply @param updates if and only if the current values in the row for @param key match the provided @param conditions.

### Uses of RequestFailureException in org.apache.cassandra.thrift

Methods in org.apache.cassandra.thrift with parameters of type RequestFailureException
`static TimedOutException` ThriftConversion.`toThrift(RequestFailureException e)`